<?php
/**
 * Controller to handling save setting
 *
 * @package wp-checkout-maximizer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPImpr_Ajax_Setting' ))
{
  class IPImpr_Ajax_Setting
  {
    /**
     * Execution save setting
     *
     * @return void
     */
    public function exec()
    {
      $error = false;
      if ( ! empty( $_POST['flickr_api_key'] )) {
          update_option( '__ipimpr_flickr_api_key', $_POST['flickr_api_key'] );
      }
      if ( ! empty( $_POST['flickr_api_secret'] )) {
          update_option( '__ipimpr_flickr_api_secret', $_POST['flickr_api_secret'] );
      }
      if ( ! empty( $_POST['pixabay_api_key'] )) {
          update_option( '__ipimpr_pixabay_api_key', $_POST['pixabay_api_key'] );
      }
      if ( ! empty( $_POST['twitter_api_key'] )) {
          update_option( '__ipimpr_twitter_api_key', $_POST['twitter_api_key'] );
      }
      if ( ! empty( $_POST['twitter_api_secret'] )) {
          update_option( '__ipimpr_twitter_api_secret', $_POST['twitter_api_secret'] );
      }
      if ( ! empty( $_POST['twitter_access_token'] )) {
          update_option( '__ipimpr_twitter_access_token', $_POST['twitter_access_token'] );
      }
      if ( ! empty( $_POST['twitter_access_token_secret'] )) {
          update_option( '__ipimpr_twitter_access_token_secret', $_POST['twitter_access_token_secret'] );
      }
      if ( ! empty( $_POST['instagram_api_key'] )) {
          update_option( '__ipimpr_instagram_api_key', $_POST['instagram_api_key'] );
      }
      if ( ! empty( $_POST['unsplash_app_id'] )) {
          update_option( '__ipimpr_unsplash_app_id', $_POST['unsplash_app_id'] );
      }

      if ( $error ) {
          $status = 0;
          $msg    = __( 'Failed save settings.', IPIMPR_SLUG );
      } else {
          $status = 1;
          $msg    = __( 'Successfully updated settings.', IPIMPR_SLUG );
      }
      echo json_encode( array(
          'status'    => $status,
          'message'   => $msg
      ) );
      die();
    }
  }
}
