<?php
/**
 * Media editor frame view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

?>
<!-- Start: #ipimpr-editor-frame -->
<div id="ipimpr-editor-frame" class="ipimpr-ui-modal ipimpr_scwrap ipimpr-wrap ipimpr-frame-fullwidth" style="display: none;">
  <!-- Start: .ipimpr-ui-modal-main -->
  <div class="ipimpr-ui-modal-main">
    <div id="ipimpr_sceditor_form" class="ipimpr-ui-modal-inner">
      <!-- Start: .ipimpr-ui-modal-title -->
      <div class="ipimpr-ui-modal-title">
        <h3>
          <span class="dashicons-before dashicons-format-gallery"></span>
          <?php _e( 'Image Editor', IPIMPR_SLUG ); ?>
        </h3>
        <div class="ipimpr-ui-close">
          <a class="ipimpr-ui-close-link" href="#">x</a>
        </div>
      </div>
      <!-- End: .ipimpr-ui-modal-title -->

      <!-- Start: .ipimpr-ui-modal-content -->
      <div class="ipimpr-ui-modal-content">

        <!-- Start: .ipimpr-editor-main -->
        <div class="ipimpr-editor-main clearfix">
          <!-- Start: .ipimpr-editor-canvas -->
          <div class="ipimpr-editor-canvas-container">
            <canvas id="ipimpr-editor-canvas" width="800" height="500"></canvas>
          </div>
          <!-- End: .ipimpr-editor-canvas -->

          <!-- Start: .ipimpr-editor-actions -->
          <div class="ipimpr-editor-actions clearfix" style="display:none;">

            <!-- Start: ._actions-menu -->
            <div class="_actions-menu">
              <ul>
                <li>
                  <a class="_action-link _active" href="#ipimpr-editor-action-resize">
                    <i class="ipimpr-fa ipimpr-fa-expand"></i>
                    <strong><?php _e( 'Resize', IPIMPR_SLUG ); ?></strong>
                  </a>
                </li>
                <li>
                  <a class="_action-link _action-link-crop" href="#ipimpr-editor-action-crop">
                    <i class="ipimpr-fa ipimpr-fa-crop"></i>
                    <strong><?php _e( 'Crop', IPIMPR_SLUG ); ?></strong>
                  </a>
                </li>
                <li>
                  <a class="_action-link" href="#ipimpr-editor-action-text">
                    <i class="ipimpr-fa ipimpr-fa-pencil"></i>
                    <strong><?php _e( 'Text', IPIMPR_SLUG ); ?></strong>
                  </a>
                </li>
                <li>
                  <a class="_action-link" href="#ipimpr-editor-action-coloring">
                    <i class="ipimpr-fa ipimpr-fa-paint-brush"></i>
                    <strong><?php _e( 'Coloring', IPIMPR_SLUG ); ?></strong>
                  </a>
                </li>
                <li>
                  <a class="_action-link" href="#ipimpr-editor-action-tools">
                    <i class="ipimpr-fa ipimpr-fa-cogs"></i>
                    <strong><?php _e( 'Tools', IPIMPR_SLUG ); ?></strong>
                  </a>
                </li>
                <li>
                  <a class="_action-link" href="#ipimpr-editor-action-filters">
                    <i class="ipimpr-fa ipimpr-fa-filter"></i>
                    <strong><?php _e( 'Filters', IPIMPR_SLUG ); ?></strong>
                  </a>
                </li>
                <li>
                  <a class="ipimpr-editor-reset _action-reset" href="#">
                    <i class="ipimpr-fa ipimpr-fa-refresh"></i>
                    <strong><?php _e( 'Reset', IPIMPR_SLUG ); ?></strong>
                  </a>
                </li>
              </ul>
            </div>
            <!-- End: ._actions-menu -->

            <!-- Start: ._actions-content -->
            <div class="_actions-content">

              <!-- Start: ._action-content -->
              <div id="ipimpr-editor-action-resize" class="_action-content">
                <!-- Start: ._action-title -->
                <div class="_action-title">
                  <h3>
                    <i class="ipimpr-fa ipimpr-fa-expand"></i>
                    <?php _e( 'Resize Image', IPIMPR_SLUG ); ?>
                  </h3>
                </div>
                <!-- End: ._action-title -->

                <!-- Start: ._action-main -->
                <div class="_action-main _action-input">
                  <form action="" method="post">
                    <!-- Start: .ipimpr-fields -->
                    <div class="ipimpr-fields">

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Width', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <input id="__ipimpr-editor-resize-width" type="text" class="ipimpr-control ipimpr-control-sm" name="_width" value=""> px
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Height', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <input id="__ipimpr-editor-resize-height" type="text" class="ipimpr-control ipimpr-control-sm" name="_height" value=""> px
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-input">
                          <label>
                            <input id="__ipimpr-editor-resize-proportions" type="checkbox" name="_proportions" value="1" checked="checked">
                            <?php _e( 'Constrain Proportions', IPIMPR_SLUG ); ?>
                          </label>
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-submit -->
                      <div class="ipimpr-submit">
                        <button type="submit" id="__ipimpr-editor-resize-submit" class="ipimpr-form-submit-btn" name="_save-resize">
                          <?php _e( 'Resize', IPIMPR_SLUG ); ?>
                        </button>
                      </div>
                      <!-- End: .ipimpr-submit -->

                    </div>
                    <!-- End: .ipimpr-fields -->
                  </form>
                </div>
                <!-- Start: ._action-main -->

              </div>
              <!-- End: ._action-content -->

              <!-- Start: ._action-content -->
              <div id="ipimpr-editor-action-crop" class="_action-content" style="display:none;">

                <!-- Start: ._action-title -->
                <div class="_action-title">
                  <h3>
                    <i class="ipimpr-fa ipimpr-fa-crop"></i>
                    <?php _e( 'Cropping Image', IPIMPR_SLUG ); ?>
                  </h3>
                </div>
                <!-- End: ._action-title -->

                <!-- Start: ._action-main -->
                <div class="_action-main _action-input">
                  <form action="" method="post">
                    <?php
                    /*
                    <!-- Start: .ipimpr-cropping-info -->
                    <div class="ipimpr-cropping-info">
                      <div class="_info">
                        Dimenssions:
                        <span class="ipimpr-cropping-info-width">- </span>px
                        X
                        <span class="ipimpr-cropping-info-height">- </span>px
                      </div>
                      <div class="_info">
                        Position:
                        <span class="ipimpr-cropping-info-top">- </span>px
                        X
                        <span class="ipimpr-cropping-info-left">- </span>px
                      </div>
                    </div>
                    <!-- End: .ipimpr-cropping-info -->
                    */
                    ?>

                    <!-- Start: .ipimpr-submit -->
                    <div class="ipimpr-submit">
                      <button type="submit" id="__ipimpr-editor-crop-submit" class="ipimpr-form-submit-btn" name="_save-crop">
                        <?php _e( 'Cropping', IPIMPR_SLUG ); ?>
                      </button>
                      <button type="submit" id="__ipimpr-editor-crop-cancel" class="ipimpr-form-submit-btn ml5" name="_cancel-crop">
                        <?php _e( 'Cancel', IPIMPR_SLUG ); ?>
                      </button>
                    </div>
                    <!-- End: .ipimpr-submit -->

                  </form>
                </div>
                <!-- Start: ._action-main -->

              </div>
              <!-- End: ._action-content -->

              <!-- Start: ._action-content -->
              <div id="ipimpr-editor-action-text" class="_action-content" style="display:none;">

                <!-- Start: ._action-title -->
                <div class="_action-title">
                  <h3>
                    <i class="ipimpr-fa ipimpr-fa-pencil"></i>
                    <?php _e( 'Insert Text', IPIMPR_SLUG ); ?>
                  </h3>
                </div>
                <!-- End: ._action-title -->

                <!-- Start: ._action-main -->
                <div class="_action-main _action-input">
                  <form action="" method="post">
                    <!-- Start: .ipimpr-fields -->
                    <div class="ipimpr-fields">

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Text', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <textarea id="__ipimpr-editor-text-value" class="ipimpr-control" name="_text"></textarea>
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Font Size', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <input id="__ipimpr-editor-text-font-size" type="text" class="ipimpr-control ipimpr-control-sm" name="_font_size" value="">
                          <span class="_input-unit">px</span>
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Font Family', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <select id="__ipimpr-editor-text-font-family" name="_font_family">
                            <option value="Times New Roman">Times New Roman</option>
                            <option value="Arial">Arial</option>
                            <option value="Verdana">Verdana</option>
                            <option value="Courier New">Courier New</option>
                          </select>
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Font Style', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <span class="_field-input-item">
                            <label>
                              <input type="checkbox" id="__ipimpr-editor-text-font-weight" name="_font_weight" value="1">
                              <?php _e( 'Font Bold', IPIMPR_SLUG ); ?>
                            </label>
                          </span>
                          <span class="_field-input-item">
                            <label>
                              <input type="checkbox" id="__ipimpr-editor-text-font-italic" name="_font_italic" value="1">
                              <?php _e( 'Font Italic', IPIMPR_SLUG ); ?>
                            </label>
                          </span>
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Color', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <input type="text" class="ipimpr-color-picker" id="__ipimpr-editor-text-color" name="_color" value="#000000" />
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Position', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <input type="text" class="ipimpr-control ipimpr-control-sm" id="__ipimpr-editor-text-top" name="_top" value="" placeholder="top" />
                          <input type="text" class="ipimpr-control ipimpr-control-sm" id="__ipimpr-editor-text-left" name="_left" value="" placeholder="left" />
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-submit -->
                      <div class="ipimpr-submit">
                        <button type="submit" class="ipimpr-form-submit-btn" id="__ipimpr-editor-text-submit" name="_save-resize">
                          <?php _e( 'Insert Text', IPIMPR_SLUG ); ?>
                        </button>
                      </div>
                      <!-- End: .ipimpr-submit -->

                    </div>
                    <!-- End: .ipimpr-fields -->
                  </form>
                </div>
                <!-- Start: ._action-main -->

              </div>
              <!-- End: ._action-content -->

              <!-- Start: ._action-content -->
              <div id="ipimpr-editor-action-text-edit" class="_action-content" style="display:none;">

                <!-- Start: ._action-title -->
                <div class="_action-title">
                  <h3>
                    <i class="ipimpr-fa ipimpr-fa-pencil"></i>
                    <?php _e( 'Edit Text', IPIMPR_SLUG ); ?>
                  </h3>
                </div>
                <!-- End: ._action-title -->

                <!-- Start: ._action-main -->
                <div class="_action-main _action-input">
                  <form action="" method="post">
                    <!-- Start: .ipimpr-fields -->
                    <div class="ipimpr-fields">

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Text', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <textarea id="__ipimpr-editor-text-edit-value" class="ipimpr-control" name="_text"></textarea>
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Font Size', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <input id="__ipimpr-editor-text-edit-font-size" type="text" class="ipimpr-control ipimpr-control-sm" name="_font_size" value="">
                          <span class="_input-unit">px</span>
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Font Family', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <select id="__ipimpr-editor-text-edit-font-family" name="_font_family">
                            <option value="Times New Roman">Times New Roman</option>
                            <option value="Arial">Arial</option>
                            <option value="Verdana">Verdana</option>
                            <option value="Courier New">Courier New</option>
                          </select>
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Font Style', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <span class="_field-input-item">
                            <label>
                              <input type="checkbox" id="__ipimpr-editor-text-edit-font-weight" name="_font_weight" value="1">
                              <?php _e( 'Font Bold', IPIMPR_SLUG ); ?>
                            </label>
                          </span>
                          <span class="_field-input-item">
                            <label>
                              <input type="checkbox" id="__ipimpr-editor-text-edit-font-italic" name="_font_italic" value="1">
                              <?php _e( 'Font Italic', IPIMPR_SLUG ); ?>
                            </label>
                          </span>
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Color', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <input type="text" class="ipimpr-color-picker" id="__ipimpr-editor-text-edit-color" name="_color" value="#000000" />
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Position', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <input type="text" class="ipimpr-control ipimpr-control-sm" id="__ipimpr-editor-text-edit-top" name="_top" value="" placeholder="top" />
                          <input type="text" class="ipimpr-control ipimpr-control-sm" id="__ipimpr-editor-text-edit-left" name="_left" value="" placeholder="left" />
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-submit -->
                      <div class="ipimpr-submit">
                        <button type="submit" class="ipimpr-form-submit-btn mr5" id="__ipimpr-editor-text-edit-submit" name="_save-text-edit">
                          <?php _e( 'Edit Text', IPIMPR_SLUG ); ?>
                        </button>
                        <button type="submit" class="ipimpr-form-submit-btn _btn-remove" id="__ipimpr-editor-text-remove-submit" name="_remove-text">
                          <?php _e( 'Remove Text', IPIMPR_SLUG ); ?>
                        </button>
                      </div>
                      <!-- End: .ipimpr-submit -->

                    </div>
                    <!-- End: .ipimpr-fields -->
                  </form>
                </div>
                <!-- Start: ._action-main -->

              </div>
              <!-- End: ._action-content -->

              <!-- Start: ._action-content -->
              <div id="ipimpr-editor-action-coloring" class="_action-content" style="display:none;">

                <!-- Start: ._action-title -->
                <div class="_action-title">
                  <h3>
                    <i class="ipimpr-fa ipimpr-fa-paint-brush"></i>
                    <?php _e( 'Coloring Image', IPIMPR_SLUG ); ?>
                  </h3>
                </div>
                <!-- End: ._action-title -->

                <!-- Start: ._action-main -->
                <div class="_action-main _action-input">
                  <form action="" method="post">
                    <!-- Start: .ipimpr-fields -->
                    <div class="ipimpr-fields">

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Color', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <input type="text" class="ipimpr-color-picker" id="__ipimpr-editor-coloring-color" name="_color" value="#000000" />
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Opacity', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <input id="__ipimpr-editor-coloring-opacity" type="text" class="ipimpr-control ipimpr-control-sm" name="_opacity" value="100">
                          <span class="_input-unit">% (0-100)</span>
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-field -->
                      <div class="ipimpr-field">
                        <div class="_field-label">
                          <label><?php _e( 'Blending Mode', IPIMPR_SLUG ); ?></label>
                        </div>
                        <div class="_field-input">
                          <select id="__ipimpr-editor-coloring-blending" name="_blending">
                            <option value="normal">Normal</option>
                            <option value="multiply">Multiply</option>
                            <option value="overlay">Overlay</option>
                            <option value="darken">Darken</option>
                            <option value="screen">Screen</option>
                            <option value="lighten">Lighten</option>
                            <option value="softLight">Soft Light</option>
                            <option value="addition">Addition</option>
                            <option value="exclusion">Exclusion</option>
                            <option value="difference">Difference</option>
                          </select>
                        </div>
                      </div>
                      <!-- End: .ipimpr-field -->

                      <!-- Start: .ipimpr-submit -->
                      <div class="ipimpr-submit">
                        <button type="submit" class="ipimpr-form-submit-btn" id="__ipimpr-editor-coloring-submit" name="_do-coloring">
                          <?php _e( 'Coloring', IPIMPR_SLUG ); ?>
                        </button>
                      </div>
                      <!-- End: .ipimpr-submit -->

                    </div>
                    <!-- End: .ipimpr-fields -->
                  </form>
                </div>
                <!-- Start: ._action-main -->

              </div>
              <!-- End: ._action-content -->

              <!-- Start: ._action-content -->
              <div id="ipimpr-editor-action-tools" class="_action-content" style="display:none;">

                <!-- Start: ._action-title -->
                <div class="_action-title">
                  <h3>
                    <i class="ipimpr-fa ipimpr-fa-cogs"></i>
                    <?php _e( 'Tools', IPIMPR_SLUG ); ?>
                  </h3>
                </div>
                <!-- End: ._action-title -->

                <!-- Start: ._action-main -->
                <div class="_action-main _action-buttons">

                  <!-- Start: .ipimpr-editor-tools -->
                  <div class="ipimpr-editor-tools clearfix">
                    <button type="button" data-tool="brightness" data-value="10" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'Brightness', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-tool="brightness" data-value="-10" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'Darkness', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-tool="contrast" data-value="10" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'More Contrast', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-tool="contrast" data-value="-10" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'Less Contrast', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-tool="exposure" data-value="10" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'More Exposure', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-tool="exposure" data-value="-10" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'Less Exposure', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-tool="saturation" data-value="20" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'More Saturation', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-tool="saturation" data-value="-20" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'Less Saturation', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-tool="vibrance" data-value="20" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'More Vibrance', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-tool="vibrance" data-value="-20" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'Less Vibrance', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-tool="sepia" data-value="20" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'Sepia', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-tool="sepia" data-value="-20" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'Russet', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-tool="noise" data-value="2" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'Noise', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-tool="stackBlur" data-value="1" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'Blur', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-tool="sharpen" data-value="10" class="ipimpr-editor-tool _action-button">
                      <?php _e( 'Sharpen', IPIMPR_SLUG ); ?>
                    </button>
                  </div>
                  <!-- End: .ipimpr-editor-tools -->

                </div>
                <!-- Start: ._action-main -->

              </div>
              <!-- End: ._action-content -->

              <!-- Start: ._action-content -->
              <div id="ipimpr-editor-action-filters" class="_action-content" style="display:none;">

                <!-- Start: ._action-title -->
                <div class="_action-title">
                  <h3>
                    <i class="ipimpr-fa ipimpr-fa-filter"></i>
                    <?php _e( 'Filters', IPIMPR_SLUG ); ?>
                  </h3>
                </div>
                <!-- End: ._action-title -->

                <!-- Start: ._action-main -->
                <div class="_action-main _action-buttons">

                  <!-- Start: .ipimpr-editor-filters -->
                  <div id="ipimpr-editor-filters clearfix">
                    <button type="button" data-filter="greyscale" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Greyscale', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="vintage" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Vintage', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="lomo" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Lomo', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="clarity" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Clarity', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="sinCity" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Sin City', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="sunrise" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Sunrise', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="crossProcess" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Cross Process', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="orangePeel" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Orange Peel', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="love" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Love', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="grungy" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Grungy', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="jarques" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Jarques', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="pinhole" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Pinhole', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="oldBoot" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Old Boot', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="glowingSun" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Glowing Sun', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="hazyDays" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Hazy Days', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="herMajesty" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Her Majesty', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="nostalgia" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Nostalgia', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="hemingway" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Hemingway', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="concentrate" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Concentrate', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="oldpaper" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Old Paper', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="pleasant" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Pleasant', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="greentint" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Green Tint', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="emboss" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Emboss', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="radialBlur" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Radial Blur', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="edgeEnhance" class="ipimpr-editor-filter _action-button">
                      <?php _e( 'Edge Enhance', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" data-filter="hdr" class="ipimpr-editor-filter-hdr _action-button">
                      <?php _e( 'HDR', IPIMPR_SLUG ); ?>
                    </button>
                    <button type="button" class="ipimpr-editor-filter-posterize _action-button">
                      <?php _e( 'Posterize', IPIMPR_SLUG ); ?>
                    </button>
                  </div>
                  <!-- End: .ipimpr-editor-filters -->

                </div>
                <!-- Start: ._action-main -->

              </div>
              <!-- End: ._action-content -->

            </div>
            <!-- End: ._actions-content -->

          </div>
          <!-- End: .ipimpr-editor-actions -->

        </div>
        <!-- End: .ipimpr-editor-main -->

      </div>
      <!-- End: .ipimpr-ui-modal-content -->

    </div>
    <!-- End: .ipimpr-ui-modal-inner -->

    <!-- Start: .ipimpr-ui-modal-action -->
    <div class="ipimpr-ui-modal-action">
      <div class="container container-fluid">
        <div class="col-md-4">
          <button type="button" id="ipimpr-editor-insert" class="ipimpr-btn ipimpr-btn-md ipimpr-btn-primary disabled mr10" disabled>
            <?php _e( 'Insert Image', IPIMPR_SLUG ); ?>
          </button>
        </div>
        <div class="col-md-8 text-right">
          <button type="button" id="ipimpr-editor-save" class="ipimpr-btn ipimpr-btn-md ipimpr-btn-secondary">
            <?php _e( 'Save Image', IPIMPR_SLUG ); ?>
          </button>
        </div>
      </div>

    </div>
    <!-- End: .ipimpr-ui-modal-action -->
  </div>
  <!-- End: .ipimpr-ui-modal-main -->

</div>
<!-- End: #ipimpr-media-frame -->
